datablock fxLightData(PlymouthHeadLight)
{
	radius = 45;
	brightness = 3.3;
	color = "1 0.9 0.75 1";
	flareOn = false;
};

datablock TSShapeConstructor(PlymouthDTS)
{
	baseShape  = "./shapes/plymouth.dts";
	sequence0  = "./shapes/plymouthsteering.dsq steering";
};

datablock WheeledVehicleData(Plymouthvehicle)
{
	category = "Vehicles";
	uiName = "1969 Plymouth Fury";
	shapeFile = "./shapes/plymouth.dts";
	
	shiftBrickCarControls = 1;
	handsOnVehicle = 1;
	hasScriptedHeadlights = 1;
	storedColorScheme = 1;
	usesVehicleEditHelper = 1;

	defaultTire = Plymouthtire;
	defaultSpring = Plymouthspring;


	engineTorque = 4500;
	engineBrake = 1125;
	brakeTorque = 2250;
	maxWheelSpeed = 45;

	mass = 300;
	massCenter = "0 0 0.5";

	displayName = "";
	emap = true;
	minMountDist = 3;

	numMountPoints = 4;
	mountThread[0] = "sit";
	mountThread[1] = "sit";
	mountThread[2] = "sit";
	mountThread[3] = "sit";

	rollForce = 0;
	yawForce = 0;
	pitchForce = 0;
	rotationalDrag = 1;

	rideable = true;
	lookUpLimit = 0.6;
	lookDownLimit = 0.5;
 
	paintable = true;

	maxDamage = 200.00;
	destroyedLevel = 400.00;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	maxSteeringAngle = 0.60;
	integration = 4;
	//tireEmitter = none;

	cameraRoll = false;
	cameraMaxDist = 11;
	cameraOffset = 5;
	cameraTilt = 0.3;

	cameraLag = 0.0;
	cameraDecay = 0.75;
	collisionTol = 0.1;
	contactTol = 0.1;

	useEyePoint = false;	

	numWheels = 4;

	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;
	softImpactSpeed = 10;
	hardImpactSpeed = 15;
	groundImpactMinSpeed = 10.0;

	steeringAutoReturn = true;
	steeringAutoReturnRate = 0.05;
	steeringAutoReturnMaxSpeed = 0.1;
	steeringUseStrafeSteering = true;
	steeringStrafeSteeringRate = 0.05;

	splash = vehicleSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = vehicleFoamDropletsEmitter;
	splashEmitter[1] = vehicleFoamEmitter;
	splashEmitter[2] = vehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
   
	damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

	damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

	numDmgEmitterAreas = 1;

	initialExplosionProjectile = vehicleExplosionProjectile;
	initialExplosionOffset = 0;

	burnTime = 4000;

	finalExplosionProjectile = vehicleFinalExplosionProjectile;
	finalExplosionOffset = 0.5;

	minRunOverSpeed    = 4;
	runOverDamageScale = 8;
	runOverPushScale   = 1.2;

	protectPassengersBurn   = false;
	protectPassengersRadius = true;
	protectPassengersDirect = false;
};
