package PlymouthPackage
{
    function PlymouthVehicle::onAdd(%data, %veh)
    {
        Parent::onAdd(%data, %veh);

        %veh.spawnMountedLightBot(9);

       
        %veh.setWheelPowered(0, 0);
        %veh.setWheelPowered(1, 0);

        %veh.hidenode(lights_idle1);
        %veh.hidenode(lights_idlesignalR1);
        %veh.hidenode(lights_idlesignalL1);
        %veh.hidenode(lights_signalR1);
        %veh.hidenode(lights_signalL1);
        %veh.hidenode(lights_brakeR1);
        %veh.hidenode(lights_brakeR2);
        %veh.hidenode(lights_brakeL1);
        %veh.hidenode(lights_brakeL2);
        %veh.hidenode(lights_reverse1);

        %veh.hidenode(interiorwindowcovers);
        %veh.hidenode(windowcovers);

        %veh.colorSchemeTarget = 0;

        //%veh.colorSchemeTarget is not assigned manually, as it starts at 0
        %veh.numColorSchemeTargets = 11;
        //colorSchemeGroup[0] is not assigned manually; painting group 0 changes the base color
        %veh.colorSchemeName[0] = "Base";

        %veh.colorSchemeName[1] = "Hood";
        %veh.colorSchemeNodes[1] = "Hood";

        %veh.colorSchemeName[2] = "Interior";
        %veh.colorSchemeNodes[2] = "interior InteriorRearDoors InteriorFrontDoors";
        %veh.colorSchemeColor[2] = "0.3 0.4 0.5 1";

        %veh.colorSchemeName[3] = "Roof";
        %veh.colorSchemeNodes[3] = "Roof";

        %veh.colorSchemeName[4] = "Trunk";
        %veh.colorSchemeNodes[4] = "Trunk";

        %veh.colorSchemeName[5] = "FrontLDoors";
        %veh.colorSchemeNodes[5] = "FrontLDoors";

        %veh.colorSchemeName[6] = "RearLDoors";
        %veh.colorSchemeNodes[6] = "RearLDoors";

        %veh.colorSchemeName[7] = "FrontRDoors";
        %veh.colorSchemeNodes[7] = "FrontRDoors";

        %veh.colorSchemeName[8] = "RearRDoors";
        %veh.colorSchemeNodes[8] = "RearRDoors";

        %veh.colorSchemeName[9] = "MainSeats";
        %veh.colorSchemeNodes[9] = "FirstSeatPart";

        %veh.colorSchemeName[10] = "SecondSeats";
        %veh.colorSchemeNodes[10] = "SecondSeatPart";

    }
};
activatepackage(PlymouthPackage);

package onDriverEnterPackage
{
    function armor::onMount(%this, %obj, %vehicle, %node)
    {
        Parent::onMount(%this, %obj, %vehicle, %node);
        
        if(%node == 0 && isObject(%vehicle) && isFunction(%vehicle.dataBlock, onDriverEnter))
            %vehicle.dataBlock.onDriverEnter(%vehicle, %obj);
    }

};
activatePackage(onDriverEnterPackage);

function PlymouthVehicle::onDriverEnter(%data, %veh)
{   
    //onDriverEnter and onDriverLeave both are called many times (up to 14) for some reason.
    //The hasDriver variable makes it so these things are done only one time each.
    if(!%veh.hasDriver)
    {
        %veh.hasDriver = 1;
        
        %data.headlights(%veh, "restore");
        
        %data.SpeedCheck(%veh);
    }
}

function PlymouthVehicle::onDriverLeave(%data, %veh)
{       
    if(%veh.hasDriver)
    {
        %veh.hasDriver = 0;

        %veh.braking = 0;
        %veh.hidenode(lights_brakeR2);
        %veh.hidenode(lights_brakeL2);
        
        %veh.reversing = 0;
        %veh.unhidenode(lights_reverse0);
        %veh.hidenode(lights_reverse1);

        cancel(%veh.SpeedCheckSchedule);
        //%data.turnSignal(%veh, 0);
        %veh.mountedLightBot[9].setMountedLight(none);
    }
}

function PlymouthVehicle::onRemove(%data, %veh)
{
    %veh.removeMountedLightBot(9);
}

function PlymouthVehicle::SpeedCheck(%data, %veh)
{
    if(isEventPending(%veh.SpeedCheckSchedule)) return;
    if(!isObject(%veh)) return;
    
    %veh.speed = vectorDot(%veh.getVelocity(), %veh.getForwardVector());
    
    if(!%veh.reversing && %veh.speed <= -3)
    {
        %veh.hidenode(lights_reverse0);
        %veh.unhidenode(lights_reverse1);
        %veh.reversing = 1;
    }
    else if(%veh.reversing && %veh.speed > -0.1)
    {
        %veh.unhidenode(lights_reverse0);
        %veh.hidenode(lights_reverse1);
        %veh.reversing = 0;
    }
    
    %veh.SpeedCheckSchedule = %data.schedule(111, "SpeedCheck", %veh);
}
